AgregarEvento(window,'load',inicializarEventos,false);
var ventana= null;
var conexion1;
var objetoMostrar;
var mSubmit = false;
var combo="";


function inicializarEventos()
{
  var gestionar=document.getElementById('cmdGestionar'); 
  
    $(document).ready(function(){
	$("#cmbCarrera").change(function(){
		$.post("Cargar_Seccion.php",{ turno:document.getElementById('cmbTurnos').value,sede:document.getElementById('cmbSede').value,carrera:document.getElementById('cmbPrograma').value,pensum:document.getElementById('cmbPensum').value,periodo:document.getElementById('cmbPeriodo').value,nivel:document.getElementById('cmbNivel').value,semestre:document.getElementById('cmbSemestre').value },function(data){$("#cmbSeccion").html(data);})

	});
	
	
	$("#cmbTurnos").change(function(){
		$.post("Cargar_Seccion.php",{ turno:document.getElementById('cmbTurnos').value,sede:document.getElementById('cmbSede').value,carrera:document.getElementById('cmbPrograma').value,pensum:document.getElementById('cmbPensum').value,periodo:document.getElementById('cmbPeriodo').value,nivel:document.getElementById('cmbNivel').value },function(data){$("#cmbSeccion").html(data);})
	});
	$("#cmbPensum").change(function(){
		$.post("Cargar_Seccion.php",{ turno:document.getElementById('cmbTurnos').value,sede:document.getElementById('cmbSede').value,carrera:document.getElementById('cmbPrograma').value,pensum:document.getElementById('cmbPensum').value,periodo:document.getElementById('cmbPeriodo').value,nivel:document.getElementById('cmbNivel').value },function(data){$("#cmbSeccion").html(data);})

	});
	$("#cmbNivel").change(function(){
		$.post("Cargar_Seccion.php",{ turno:document.getElementById('cmbTurnos').value,sede:document.getElementById('cmbSede').value,carrera:document.getElementById('cmbPrograma').value,pensum:document.getElementById('cmbPensum').value,periodo:document.getElementById('cmbPeriodo').value,nivel:document.getElementById('cmbNivel').value },function(data){$("#cmbSeccion").html(data);})

	});
	$("#cmbSede").change(function(){
		$.post("Cargar_Seccion.php",{ turno:document.getElementById('cmbTurnos').value,sede:document.getElementById('cmbSede').value,carrera:document.getElementById('cmbPrograma').value,pensum:document.getElementById('cmbPensum').value,periodo:document.getElementById('cmbPeriodo').value,nivel:document.getElementById('cmbNivel').value },function(data){$("#cmbSeccion").html(data);})

	});


	
  })

  
  if(!isEmpty(gestionar)){
	  AgregarEvento(gestionar,'click',Cargar_Seccion,false);
  }
  
  
   
}
function imprimir_horario_profesor(valor){
			var strFeatures = "dialogTop="+((screen.height - 100) / 2)+"; dialogLeft=" + ((screen.width - 250) / 2) +"; dialogWidth=250px;" +
			"dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;" +
			"font-size:12px";
			showModalDialog ("impresion_horario_profesor.php?seccion="+valor.id, "",strFeatures);
}
function enviar_materias(objeto){
	var div =objeto.parentNode;
	if((div.childNodes[0].value) && (div.lastChild.value)){
		objetoMostrar=div;
		conexion1=crearXMLHttpRequest(); 	
		conexion1.onreadystatechange = procesarEventos;
		conexion1.open('POST','vista_generar_horario.php', false);
		conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		conexion1.send(retornarDatos1(div)); 
	}

}

function eliminar_horario(objeto){
	//var div =objeto.parentNode.parentNode.parentNode.parentNode.parentNode;
	var div =objeto.parentNode.parentNode.parentNode.parentNode;;
	objetoMostrar=div;
	conexion1=crearXMLHttpRequest(); 	
	conexion1.onreadystatechange = procesarEventos;
	conexion1.open('POST','vista_generar_horario.php', false);
	conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	conexion1.send(retornarDatos2(objeto.id)); 
}


function regresar(objeto){
	//var div =objeto.parentNode.parentNode.parentNode.parentNode.parentNode;
	var div =objeto.parentNode;
	objetoMostrar=div;
	conexion1=crearXMLHttpRequest(); 	
	conexion1.onreadystatechange = procesarEventos;
	conexion1.open('POST','vista_generar_horario.php', false);
	conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	conexion1.send(retornarDatos3(objeto.id)); 
}


function imprimir_horario(valor){
			var strFeatures = "dialogTop="+((screen.height - 100) / 2)+"; dialogLeft=" + ((screen.width - 250) / 2) +"; dialogWidth=250px;" +
			"dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;" +
			"font-size:12px";
			showModalDialog ("impresion_horarios.php?seccion="+valor.id, "",strFeatures);
}

function Cargar_Seccion(){
  mSubmit=false;
  var forma=window.document.forms[0];
  forma.formulario.value='formulario';
  numero=forma.elements.length;
 
  if(isEmpty(forma.cmbSeccion.value)){
    mSubmit=false;
    return false;
  }
  forma.submit();
	
//	window.parent.forms[0].location.href= 'vista_actualizacion_datos.php?seccion='+document.getElementById('cmbSeccion').value+'&formulario=formulario';

}
function AgregarEvento(elemento,nomevento,funcion,captura)
{
  if (elemento.attachEvent)
  {
    elemento.attachEvent('on'+nomevento,funcion);
    return true;
  }
  else  
    if (elemento.addEventListener)
    {
      elemento.addEventListener(nomevento,funcion,captura);
      return true;
    }
    else
      return false;
}

function enviarDatos(e)
{
  if (window.event)
  {
	var boton=window.event.srcElement.getAttribute('name');  
    window.event.returnValue=false;
  }
  else
    if (e){
	  var boton = e.target.getAttribute('name');		
      e.preventDefault();
    }
	enviarFormulario(boton);
}

function enviarFormulario(boton) 
{
  conexion1=crearXMLHttpRequest(); 	
  conexion1.onreadystatechange = procesarEventos;
  conexion1.open('POST','vista_generar_horario.php', false);
  conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  conexion1.send(retornarDatos(boton)); 
}



function procesarEventos()
{
 
   if(conexion1.readyState == 4)
  {
   objetoMostrar.innerHTML = conexion1.responseText;	 
  } 
  else 
  {
  }
}

function retornarDatos(boton)
{
  var clave='';
  var cad='';
  var seccion=document.getElementById('cmbSeccion').value
 // clave=document.getElementById('cmbSede').value;
 // clavemod=document.getElementById('hdClave').value;
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&boton='+encodeURIComponent(boton);
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}

function retornarDatos1(div)
{
  var cad='';
  var id_materia= div.childNodes[0].value;
  var codigo_aula=div.lastChild.value;
  var horario=div.id;
  var arreglo_horario=horario.split('-');
  var codigo_dia=arreglo_horario[0];
  var codigo_hora=arreglo_horario[1];
  var seccion=document.getElementById('hdSeccion').value
 // clave=document.getElementById('cmbSede').value;
 // clavemod=document.getElementById('hdClave').value;
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&codigo_dia='+encodeURIComponent(codigo_dia);
  cad+='&codigo_hora='+encodeURIComponent(codigo_hora); 
  cad+='&codigo_aula='+encodeURIComponent(codigo_aula);
  cad+='&id_materia='+encodeURIComponent(id_materia);
  cad+='&boton='+encodeURIComponent("btnAgregarMateria");
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}

function retornarDatos2(horario)
{
  var cad='';
  var horario=horario;
  var seccion=document.getElementById('hdSeccion').value
 
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&codigo_horario='+encodeURIComponent(horario);
  cad+='&boton='+encodeURIComponent("btnEliminarHorario");
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}

function retornarDatos3(horario)
{
  var cad='';
  var seccion=document.getElementById('hdSeccion').value
  var horario=horario; 
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&codigo_horario='+encodeURIComponent(horario);
  cad+='&boton='+encodeURIComponent("btnRegresar");
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}


function isEmpty(s){
  return ((s == null) || (s.length == 0))
}
function crearXMLHttpRequest() 
{
  var xmlHttp=null;
  if (window.ActiveXObject) 
    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  else 
    if (window.XMLHttpRequest) 
      xmlHttp = new XMLHttpRequest();
  return xmlHttp;
}
